Subject: Re: linux-next: build failure after merge of the percpu tree

From: Tejun Heo <[email-masked]>
Date: Tue, 4 Jan 2011 06:13:14 +0100

Hello, Stephen.

On Tue, Jan 04, 2011 at 03:21:05PM +1100, Stephen Rothwell wrote:
> After merging the percpu tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> arch/x86/kernel/cpu/mcheck/therm_throt.c: In function 'intel_thermal_interrupt':
> arch/x86/kernel/cpu/mcheck/therm_throt.c:368: error: implicit declaration of function 'this_cpu_has'
> 
> Caused by commit 6ac0bb7148b93fb40bccba5dff06d51a3e3ea283 ("x86: use
> this_cpu_has for thermal_interrupt").
> 
> this_cpu_has() does not exist anywhere except in this introduced usage.
> 
> I have used the percpu tree from next-20101231 for today.

My apologies.  I forgot an earlier patch to introduce this_cpu_has()
macro.  I've reverted the offending commit.

Thank you.

--
tejun